{{ ansible_managed | comment }}

[paps]
{% for pap in argus_server_paps %}
{{ pap.name }}.type = {{ pap.type }}
{{ pap.name }}.enabled = {{ pap.enabled }}
{{ pap.name }}.dn = {{ pap.dn }}
{{ pap.name }}.hostname = {{ pap.hostname }}
{{ pap.name }}.port = {{ pap.port }}
{{ pap.name }}.path = {{ pap.path }}
{{ pap.name }}.protocol = {{ pap.protocol }}
{{ pap.name }}.public = {{ pap.public }}
{% endfor %}

[paps:properties]
poll_interval = {{ argus_server_pap_poll_interval }}
ordering = {{ argus_server_pap_ordering}}

[repository]
consistency_check = true
consistency_check.repair = false

[security]
certificate = /etc/grid-security/hostcert.pem
private_key = /etc/grid-security/hostkey.pem

[standalone-service]
entity_id = http://{{ argus_server_host }}/pap
hostname = {{ argus_server_host }}
port = 8150
shutdown_port = 8151
shutdown_command = shutdown
